// Copyright 2004, FreeHEP.
package hep.wired.feature;

import hep.wired.services.Feature;

/**
 * Can scale uniformely.
 * 
 * @author Mark Donszelmann
 * @version $Id: Scaleable.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface Scaleable extends Feature {

    /**
     * Scales by factor s.
     */
    public void scale(double s);

    /**
     * Set scale to factor s.
     */
    public void setScale(double s);
}
