// Copyright 2004, FreeHEP.
package hep.wired.feature;

/**
 * Can scale in 3D.
 * 
 * @author Mark Donszelmann
 * @version $Id: Scaleable3D.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface Scaleable3D extends Scaleable {

    /**
     * Scales by factor sx, sy, sz.
     */
    public void scale(double sx, double sy, double sz);

    /**
     * Set scales to factors sx, sy, sz.
     */
    public void setScale(double sx, double sy, double sz);

    /**
     * Returns current scale
     */
    public double[] getScale();
}
