// Copyright 2004, FreeHEP.
package hep.wired.feature;

/**
 * Can translate in 2D.
 * 
 * @author Mark Donszelmann
 * @version $Id: Translateable2D.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface Translateable2D extends Translateable {

    /**
     * Translate over tx and ty.
     */
    public void translate(double tx, double ty);

    /**
     * Set translate to tx and ty.
     */
    public void setTranslate(double tx, double ty);

    /**
     * Return current translation
     */
    public double[] getTranslate();
}
