// Copyright 2004, FreeHEP.
package hep.wired.feature;

/**
 * Can translate in 3D.
 * 
 * @author Mark Donszelmann
 * @version $Id: Translateable3D.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface Translateable3D extends Translateable {

    /**
     * Translate over tx, ty and tz.
     */
    public void translate(double tx, double ty, double tz);

    /**
     * Set translate to tx, ty and tz.
     */
    public void setTranslate(double tx, double ty, double tz);

    /**
     * Return current translation
     */
    public double[] getTranslate();
}
