// Copyright 2004, FreeHEP.
package hep.wired.scripting;

import hep.wired.edit.FitToWindow;
import hep.wired.edit.NoOperation;
import hep.wired.edit.Reset;
import hep.wired.edit.Rotate;
import hep.wired.edit.Scale;
import hep.wired.edit.Shear;
import hep.wired.edit.Transform2D;
import hep.wired.edit.Translate;
import hep.wired.services.Script;

/**
 * Interface implemented by a converter to create a script of edits in a certain
 * language
 * 
 * @author Mark Donszelmann
 * @version $Id: Pnuts.java 8598 2006-08-14 20:38:02Z duns $
 */

public class Pnuts implements Script {

    public String getID() {
        return getName();
    }

    public String getName() {
        return "Pnuts";
    }

    public String toString(FitToWindow edit) {
        return "not implemented";
    }

    // public String toString(GraphicsModeEdit edit) {
    // return "not implemented";
    // }

    public String toString(NoOperation edit) {
        return "not implemented";
    }

    public String toString(Reset edit) {
        return "not implemented";
    }

    public String toString(Rotate edit) {
        return "not implemented";
    }

    public String toString(Scale edit) {
        return "not implemented";
    }

    // public String toString(SetCoordinateProjection edit) {
    // return "not implemented";
    // }

    // public String toString(SetProjection edit) {
    // return "not implemented";
    // }

    public String toString(Shear edit) {
        return "not implemented";
    }

    public String toString(Transform2D edit) {
        return "not implemented";
    }

    public String toString(Translate edit) {
        return "not implemented";
    }

    public String toString() {
        return "WIRED - Pnuts Script Converter";
    }
}
