// Copyright 2004-2005, FreeHEP.
package hep.wired.services;

import hep.wired.edit.FitToWindow;
import hep.wired.edit.NoOperation;
import hep.wired.edit.Reset;
import hep.wired.edit.Rotate;
import hep.wired.edit.Scale;
import hep.wired.edit.Shear;
import hep.wired.edit.Transform2D;
import hep.wired.edit.Translate;
import hep.wired.util.WiredRegistry;

/**
 * Interface implemented by a converter to create a script of edits in a certain
 * language
 * 
 * @author Mark Donszelmann
 * @version $Id: Script.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface Script extends WiredRegistry.ID {
    // public String toString(Edit edit);

    public String toString(FitToWindow edit);

    // public String toString(GraphicsModeEdit edit);
    public String toString(NoOperation edit);

    public String toString(Reset edit);

    public String toString(Rotate edit);

    public String toString(Scale edit);

    // public String toString(SetProjection edit);
    public String toString(Shear edit);

    public String toString(Transform2D edit);

    public String toString(Translate edit);
}
