// Copyright 2004, FreeHEP.
package hep.wired.util;

import javax.swing.ButtonGroup;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import javax.swing.JRadioButtonMenuItem;

/**
 * 
 * @author Mark Donszelmann
 * @version $Id: InteractionMenu.java 8598 2006-08-14 20:38:02Z duns $
 */
public class InteractionMenu extends JMenu {

    private static ButtonGroup group = new ButtonGroup();

    public JMenuItem add(JMenuItem menuItem) {
        JMenuItem m = super.add(menuItem);
        if (menuItem instanceof JRadioButtonMenuItem) {
            group.add((JRadioButtonMenuItem) menuItem);
        }
        return m;
    }
}
