// Copyright 2004, FreeHEP.
package hep.wired.util;

import java.awt.Component;

import javax.swing.ButtonGroup;
import javax.swing.JToggleButton;
import javax.swing.JToolBar;

/**
 * 
 * @author Mark Donszelmann
 * @version $Id: InteractionToolBar.java 8598 2006-08-14 20:38:02Z duns $
 */
public class InteractionToolBar extends JToolBar {

    private static ButtonGroup group = new ButtonGroup();

    protected void addImpl(Component comp, Object constraints, int index) {
        super.addImpl(comp, constraints, index);
        if (comp instanceof JToggleButton) {
            group.add((JToggleButton) comp);
        }
    }
}
