// Copyright 2004-2005, FreeHEP.
package hep.wired.util;

/**
 * Constants for indices into UVW arrays.
 * 
 * @author Mark Donszelmann
 * @version $Id: UVWindices.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface UVWindices {

    /**
     * Index for U in uvw
     */
    public final static int U = 0;

    /**
     * Index for V in uvw
     */
    public final static int V = 1;

    /**
     * Index for W in uvw
     */
    public final static int W = 2;

}
