// Copyright 2004, FreeHEP.
package hep.wired.feature;

/**
 * Can scale in 2D.
 * 
 * @author Mark Donszelmann
 * @version $Id: Scaleable2D.java 8598 2006-08-14 20:38:02Z duns $
 */

public interface Scaleable2D extends Scaleable {

    /**
     * Scales by factor sx,sy.
     */
    public void scale(double sx, double sy);

    /**
     * Set scales to factors sx,sy.
     */
    public void setScale(double sx, double sy);

    /**
     * Returns current scale
     */
    public double[] getScale();
}
