// Copyright 2005, FreeHEP.
package hep.wired.util;

import javax.swing.undo.UndoManager;
import javax.swing.undo.UndoableEdit;

/**
 * 
 * @author Mark Donszelmann
 * @version $Id: WiredUndoManager.java 8598 2006-08-14 20:38:02Z duns $
 */
public class WiredUndoManager extends UndoManager {

    public String getRedoString() {
        UndoableEdit edit = editToBeRedone();
        return edit == null ? "" : edit.toString();
    }

    public String getUndoString() {
        UndoableEdit edit = editToBeUndone();
        return edit == null ? "" : edit.toString();
    }

}
