// Copyright 2005, FreeHEP.
package hep.wired.util.slider;



/**
 * Like BoundedRangeModel but for double values.
 * 
 * @author Mark Donszelmann
 * @version $Id: BoundedDoubleRangeModel.java 8598 2006-08-14 20:38:02Z duns $
 */
public interface BoundedDoubleRangeModel extends BoundedNumberRangeModel {

    public double getMinimum();

    public void setMinimum(double minimum);

    public double getMaximum();

    public void setMaximum(double maximum);

    public double getValue();

    public void setValue(double value);

    public double getExtent();

    public void setExtent(double extent);

    public double getDefaultValue();

    public void setDefaultValue(double def);

    public void setRangeProperties(double value, double extent, double min,
            double max, double def, boolean adjusting);
}
